<div class="header row">
    <div class="header-bg">

    </div>
    <div class="header-blur">

    </div>
    <div class="bg-contents col-12 col-sm-10 col-md-7 col-lg-7">
        <form [formGroup]="searchingForm" (submit)="onSearch()">
            <p>Vẻ Đẹp Từ Thiên Nhiên</p>
            <div class="input-group">
                <input value="" [ngClass]="{'form-control py-2 border-right-0 border': true, 'is-invalid': searchingForm.invalid}" formControlName="searchingKey" type="search" placeholder="Nhập vào đây..."
                    id="example-search-input">
                <span class="input-group-append">
                    <button style="border: 1px solid #ced4da; height:auto; width:45px; color: #495057" mat-icon-button class="input-group-text input-btn" type="submit">
                        <mat-icon>search</mat-icon>
                    </button>
                </span>
            </div>
            <br /><br />
            <div class="row filterarea">
                <mat-select class="col-12 col-md-5" [value]="CONST.TOPIC_SEARCH.value[0].topicId" id="topic" formControlName="topic">
                    <mat-option *ngFor="let topic of CONST.TOPIC_SEARCH.value" [value]="topic.topicId" >
                        {{CONST.TOPIC_SEARCH.name}}: {{topic.topicName}}
                    </mat-option>
                </mat-select>
                &nbsp;
                <mat-select class="col-12 col-md-5" [value]="CONST.TYPE_SEARCH.value[0].typeId" id="type" formControlName="type">
                    <mat-option *ngFor="let type of CONST.TYPE_SEARCH.value" [value]="type.typeId" >
                        {{CONST.TYPE_SEARCH.name}}: {{type.typeName}}
                    </mat-option>
                </mat-select>
            </div>
        </form>
    </div>
    <nav class="navbar navbar-expand-sm menu">
        <p class="navbar-brand logo" style="margin-bottom:10px" routerLink="/home">Thạch Ảnh Đăng Khoa</p>

        <button mat-button-icon class="navbar-toggler" type="button" data-toggle="collapse" #btn
            data-target="#collapsibleNavbar">
            <mat-icon svgIcon="menu"></mat-icon>
        </button>

        <!-- Navbar links -->
        <div class="collapse navbar-collapse" id="collapsibleNavbar">
            <ul class="navbar-nav header-items">
                <li class="nav-item item" *ngFor="let header of CONST.HEADERS">
                    <p class="m-header" class="nav-link" [routerLink]="header.href" (click)="closeMenu(btn)">
                        {{header.name}}</p>
                </li>
                <li class="nav-item item" *ngIf="!isUserAuthenticated()">
                    <p class="m-header" class="nav-link" (click)="onOpenLogin(btn)">ĐĂNG NHẬP</p>
                </li>
                <li class="nav-item item" *ngIf="isUserAuthenticated()">
                    <p class="m-header" class="nav-link" routerLink="/admin/manage-home" (click)="closeMenu(btn)">QUẢN LÝ</p>
                </li>
                <li class="nav-item item" *ngIf="isUserAuthenticated()">
                    <p class="m-header" class="nav-link" (click)="onLogOut()">ĐĂNG XUẤT</p>
                </li>
            </ul>
        </div>
        <button id="cart" mat-icon-button matTooltip="Giỏ hàng" [matBadge]="CONST.getCart.length" matBadgePosition="before" (click)="openCart()">
            <mat-icon svgIcon="cart"></mat-icon>
        </button>
        <mat-progress-bar class="processBar" *ngIf="processService.getTask.length !== 0" mode="indeterminate"></mat-progress-bar>
    </nav>
</div>